ProMods 2.46 for game version 1.37 has been released. Please be kind to the download servers :)
Please note that TruckersMP (multi-player) is still on game version 1.36 / ProMods 2.45

Installatie Midden Oosten

Dutch
User avatar
ScuL
Founder
Posts: 8282
Joined: 31 Jul 2013 23:51
Location: Auckland, New Zealand

07 May 2020 13:55

Voor ETS2 1.35 heb je ME 2.41 nodig. ME 2.42 is nooit uitgebracht omdat deze versie niet noodzakelijk was
I am Image Dutch living in Image New Zealand and I speak Image EN Image DE Image SE Image FR
Image



Post Reply
  • Information
  • Who is online

    Users browsing this forum: No registered users and 1 guest